%define module_name Alien-libuv
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Make.pm) perl(Alien/Build/Plugin/Probe/Vcpkg.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IPC/Cmd.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(Test2/Suite.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(libuv)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.014
Release: alt4
Summary: Interface to the libuv library L<http://libuv.org>
Group: Development/Perl
License: perl
URL: https://github.com/p5-UV/Alien-libuv

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
This package can be used by other CPAN modules that
require libuv.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CONTRIBUTING.md author.yml Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.014-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.014-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.014-alt2
- rebuild with perl 5.30

* Sun Jul 19 2020 Igor Vlasenko <viy@altlinux.ru> 1.014-alt1
- updated by package builder

* Thu Mar 26 2020 Igor Vlasenko <viy@altlinux.ru> 1.013-alt1
- updated by package builder

* Sun Sep 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.012-alt1
- updated by package builder

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 1.011-alt1
- updated by package builder

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 1.010-alt1
- updated by package builder

* Fri Feb 08 2019 Igor Vlasenko <viy@altlinux.ru> 1.008-alt1
- regenerated from template by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.007-alt1.1
- rebuild with perl 5.28.1

* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 1.007-alt1
- regenerated from template by package builder

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 1.006-alt1
- initial import by package builder

